generate_optimized_palette(3)

NAME
generate_optimized_palette - Generates an optimized palette for a bitmap. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int generate_optimized_palette(BITMAP *bmp, PALETTE pal, const char rsvd[PAL_SIZE]);

DESCRIPTION
Generates a 256-color palette suitable for making a reduced color version of the specified truecolor image. The rsvd parameter points to a table indicating which colors it is allowed to modify: zero for free colors which may be set to whatever the optimiser likes, negative values for reserved colors which cannot be used, and positive values for fixed palette entries that must not be changed, but can be used in the optimisation.

RETURN VALUE
Returns the number of different colors recognised in the provided bitmap, zero if the bitmap is not a truecolor image or there wasn't enough memory to perform the operation, and negative if there was any internal error in the color reduction code.

SEE ALSO
generate_332_palette(3), set_color_depth(3)